List asset transactions
curl --request GET \
--url https://api.example.com/v1/assets/{id}/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/assets/{id}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/assets/{id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assetId": "<string>",
"transactions": [
{
"id": "<string>",
"assetId": "<string>",
"network": "solana",
"networkTransactionId": "<string>",
"type": "<string>",
"slot": 123,
"blockTime": 123,
"signer": "<string>",
"publicData": {},
"ciphertexts": {},
"indexedAt": "2023-11-07T05:31:56Z",
"sourceAccount": "<string>",
"destinationAccount": "<string>"
}
],
"nextCursor": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}List asset transactions
Return indexed transactions for a confidential Asset.
List asset transactions
Use this method to synchronize indexed transaction records with your backend.
The response contains public transaction data and confidential ciphertexts. It
does not contain disclosed plaintext values.
When
nextCursor is not null, pass it as the next request’s cursor value.Authorizations
Organization API key created through the User API.
Path Parameters
Arcane confidential Asset ID.
Query Parameters
Cursor returned by the previous page.
Maximum number of records to return.
Required range:
1 <= x <= 200Return transactions with this indexed event type.
Return transactions associated with this Solana account.
Return transactions indexed at or after this time.
Return transactions indexed before or at this time.